/* ************************************************************************** */
/*                                             _____ _  __       ___   __     */
/*  Animation.hpp                             |  ___(_)/ _| ___ ( _ ) / /_    */
/*  Project: C-Engine                         | |_  | | |_ / _ \/ _ \| '_ \   */
/*                                            |  _| | |  _|  __/ (_) | (_) |  */
/*  Author: Fife <wasabifife@gmail.com>       |_|   |_|_|  \___|\___/ \___/   */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_ANIMATION_HPP
#define CENGINE_ANIMATION_HPP

#include "..\Rework\CEngine.hpp"

class Animation
{
    public:

        Animation();
        Animation(Sprite & v);
        Animation(Sprite * v , int nb , int nbd = 250 , bool vwaitatend = false , bool vwaittheend = false );//Constructeur

        void SetIt(int v);

        int GetSizeX();
        int GetSizeY();

        int GetBlitX();
        int GetBlitY();

        void DrawReverseAnim( int , int , int);
        void DrawAnim( int , int , int );

        bool WaitDelay();

    private:

        Sprite * TabSprite;

        int iterateur;
        int delay;  // En ms
        int time;
        int nb_image;

        bool waitatend;
        bool waittheend;
        bool isend;

};

#endif
