/* ************************************************************************** */
/*                                             _____ _  __       ___   __     */
/*  Transform.hpp                             |  ___(_)/ _| ___ ( _ ) / /_    */
/*  Project: C-Engine                         | |_  | | |_ / _ \/ _ \| '_ \   */
/*                                            |  _| | |  _|  __/ (_) | (_) |  */
/*  Author: Fife <wasabifife@gmail.com>       |_|   |_|_|  \___|\___/ \___/   */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_TRANSFORM_HPP
#define CENGINE_TRANSFORM_HPP

#include "..\Rework\CEngine.hpp"

class Transform
{
    public:

        Transform(Object * Pointeur); //Constructeur

        double GetX();
        double GetY();

        double GetRelativeX();
        double GetRelativeY();

        void SetX(double v);
        void SetY(double v);
        void SetXY(double vx ,double vy);

        void SetRelativeXY(double vx ,double vy);

    private:

        Object * Conteneur;

        Vec2 positionabsolu; // en pixel
        Vec2 positionrelative; // en pixel
};

#endif
