/* ************************************************************************** */
/*                                             _____ _  __       ___   __     */
/*  Transform.cpp                             |  ___(_)/ _| ___ ( _ ) / /_    */
/*  Project: C-Engine                         | |_  | | |_ / _ \/ _ \| '_ \   */
/*                                            |  _| | |  _|  __/ (_) | (_) |  */
/*  Author: Fife <wasabifife@gmail.com>       |_|   |_|_|  \___|\___/ \___/   */
/*                                                                            */
/* ************************************************************************** */

#include "..\Rework\include\Object\Transform.hpp"

Transform::Transform(Object * Pointeur)
{
    Conteneur = Pointeur;

    positionabsolu.x = 0;
    positionabsolu.y = 0;

    positionrelative.x = 0;
    positionrelative.y = 0;
}

double Transform::GetX()
{
    return positionabsolu.x;
}

double Transform::GetY()
{
    return positionabsolu.y;
}

double Transform::GetRelativeX()
{
    return positionrelative.x;
}

double Transform::GetRelativeY()
{
    return positionrelative.y;
}

void Transform::SetX(double v)
{
    positionabsolu.x = v;
}

void Transform::SetY(double v)
{
    positionabsolu.y = v;
}

void Transform::SetXY(double vx ,double vy)
{
    positionabsolu.x = vx;
    positionabsolu.y = vy;
}

void Transform::SetRelativeXY(double vx ,double vy)
{
    positionrelative.x = vx;
    positionrelative.y = vy;
}


