/* ************************************************************************** */
/*                                             _____ _  __       ___   __     */
/*  Script.hpp                                |  ___(_)/ _| ___ ( _ ) / /_    */
/*  Project: C-Engine                         | |_  | | |_ / _ \/ _ \| '_ \   */
/*                                            |  _| | |  _|  __/ (_) | (_) |  */
/*  Author: Fife <wasabifife@gmail.com>       |_|   |_|_|  \___|\___/ \___/   */
/*                                                                            */
/* ************************************************************************** */

#ifndef CENGINE_SCRIPT_HPP
#define CENGINE_SCRIPT_HPP

#include "..\Rework\CEngine.hpp"

class Script
{
    public:

        Script(); //Constructeur

        virtual void Update();
        virtual void UpdateEverySecond();
        virtual void Start();

        void AffectObject(Object * OV);
        void AffectEngine(Engine * EV);

        Engine * GetEngine();
        Object * GetObject();

    private:

        Object * OConteneur;
        Engine * EConteneur;

    };

#endif
